Bug 18828 - Kernel won't compile under 7.0
Kernel won't compile under 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 12:09 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 13:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-10 12:09:41 EDT
I can't get a kernel to compile under RH7. (Specifically, kernel 2.2.16). 
This machine was upgraded from RH6.0. I can compile the same kernel fine 
under 6.2. Under 7, towards the end of the compile, an error is given 
about a badly formed #define in checksum.S. I tried doing a clean install 
of 7 on another machine and couldn't compile it on that one either. I 
ended up having to compile the kernel on a 6.2 machine and copy it on to 
the one with 7. Modules seem to compile correctly.
Comment 1 Arjan van de Ven 2000-10-10 13:09:58 EDT
sounds like you didn't use kgcc 
(see bugs 18012 and 18060)
Comment 2 Alan Cox 2000-10-14 13:52:12 EDT
Use kgcc. The kernel doesnt do everything as nicely as it should so gets caught
out with the new
compiler.

Note You need to log in before you can comment on or make changes to this bug.